# Uses of Enum Class
com.google.protobuf.compiler.PluginProtos.CodeGeneratorResponse.Feature

Packages that use PluginProtos.CodeGeneratorResponse.Feature
Package
Description
com.google.protobuf.compiler

## Uses of PluginProtos.CodeGeneratorResponse.Feature in com.google.protobuf.compiler

Methods in com.google.protobuf.compiler that return PluginProtos.CodeGeneratorResponse.Feature
Modifier and Type
Method
Description
`static PluginProtos.CodeGeneratorResponse.Feature`
PluginProtos.CodeGeneratorResponse.Feature.`forNumber(int value)`
`static PluginProtos.CodeGeneratorResponse.Feature`
PluginProtos.CodeGeneratorResponse.Feature.`valueOf(int value)`
Deprecated.
`static PluginProtos.CodeGeneratorResponse.Feature`
PluginProtos.CodeGeneratorResponse.Feature.`valueOf(Descriptors.EnumValueDescriptor desc)`
Returns the enum constant of this class with the specified name.
`static PluginProtos.CodeGeneratorResponse.Feature`
PluginProtos.CodeGeneratorResponse.Feature.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PluginProtos.CodeGeneratorResponse.Feature[]`
PluginProtos.CodeGeneratorResponse.Feature.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in com.google.protobuf.compiler that return types with arguments of type PluginProtos.CodeGeneratorResponse.Feature
Modifier and Type
Method
Description
`static Internal.EnumLiteMap<PluginProtos.CodeGeneratorResponse.Feature>`
PluginProtos.CodeGeneratorResponse.Feature.`internalGetValueMap()`